package com.red.circle.other.infra.database.mongo.service.team.team;

import com.red.circle.other.infra.database.mongo.entity.team.team.TeamApplicationProcessApproval;
import com.red.circle.other.inner.model.cmd.team.TeamApplicationProcessApprovalQryCmd;
import java.util.List;

/**
 * 团队审核服务日志.
 *
 * @author pengliang on 2022/12/9
 */
public interface TeamApplicationProcessApprovalService {

  /**
   * 添加.
   */
  TeamApplicationProcessApproval add(TeamApplicationProcessApproval param);

  /**
   * 添加一批.
   */
  void addBatch(List<TeamApplicationProcessApproval> params);

  /**
   * 列表.
   */
  List<TeamApplicationProcessApproval> listByCondition(TeamApplicationProcessApprovalQryCmd query);

  /**
   * 删除一组指定业务日志.
   */
  void removeBatchByAssociateId(List<Long> associateIds);
}
